<template>
  <div class="body-wrapper-payler">
    <div class="center block-payler">

      <!--В случае, если ответа нету от системы-->

      <div v-if="answerIsUrl === ''">
        <img src="lk/static/img/pay_error.png">
        <h2>Страница не найдена!</h2>
      </div>

      <!--В случае, как обычно, что то пошло не так-->

      <div v-if="answerIsUrl === '1'">
        <img src="lk/static/img/pay_error.png">
        <h2>Ошибка оплаты!</h2>
        <a @click="goTo"><button>ПОПРОБОВАТЬ ЕЩЕ РАЗ</button></a>
      </div>

      <!--В случае, если оплата прошла успешно-->

      <div v-if="answerIsUrl === '2'">
        <img src="lk/static/img/pay_success.png">
        <h2>Оплата прошла успешно!</h2>
        <span>Платеж будет зачислен в течение 10-ти минут</span>
      </div>

      <!--Отмена оплаты, если клиент отменил оплату-->

      <div v-if="answerIsUrl === '3'">
        <img src="lk/static/img/pay_error.png">
        <h2>Отмена оплаты!</h2>
        <a @click="goTo"><button>ПОПРОБОВАТЬ ЕЩЕ РАЗ</button></a>
      </div>

    </div>
  </div>
</template>

<script>
  export default {
    name: 'pay-result',
    data () {
      return {
        answerIsUrl: ''
      }
    },
    methods: {
      goTo () {
        window.parent.__VUE_DEVTOOLS_GLOBAL_HOOK__.store.commit('BLOCKED_IFRAME', false)
        window.parent.__VUE_DEVTOOLS_GLOBAL_HOOK__.store.commit('CHANGE_HEIGHT_IFRAME', '1450px')
        window.parent.__VUE_DEVTOOLS_GLOBAL_HOOK__.store.commit('UP_IFRAME', true)
      }
    },
    mounted () {
      window.parent.__VUE_DEVTOOLS_GLOBAL_HOOK__.store.commit('CHANGE_HEIGHT_IFRAME', '400px')
      this.$el.scrollIntoView()
      console.log('==================================>', this.$route)
      if (this.$route.query.result_mobile === 'False') {
        this.answerIsUrl = '1'
      }
      if (this.$route.query.result_mobile === 'True') {
        this.answerIsUrl = '2'
      }
    }
  }
</script>

<style>
  .body-wrapper-payler{
    width: 100%;
    height: 100%;
    text-align: center;
  }
  /*.top-menu, .mobile-menu, .desktop-menu, .main-button-block, .sender-connect-button, .footer{*/
    /*display: none !important;*/
  /*}*/
  .block-payler{
    display: inline-block;
    vertical-align: middle;
    zoom: 1;
    position: relative;
    padding: 5px;
    margin-top: 10%;
  }
</style>
